Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAppendFilter Class Reference

`#include <vtkAppendFilter.h>`

Inheritance diagram for vtkAppendFilter:

[legend]
Collaboration diagram for vtkAppendFilter:

[legend]
List of all members.

## Detailed Description

appends one or more datasets together into a single unstructured grid

Date:
  2002/11/03 15:57:42

Revision:
  1.44

vtkAppendFilter is a filter that appends one of more datasets into a single unstructured grid. All geometry is extracted and appended, but point attributes (i.e., scalars, vectors, normals, field data, etc.) are extracted and appended only if all datasets have the point attributes available. (For example, if one dataset has scalars but another does not, scalars will not be appended.)

See also:
  vtkAppendPolyData

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (39%)
  - Geveci, Berk (16%)
  - Lorensen, Bill (13%)
  - Miller, Jim (9%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkAppendFilter.cxx)`
  - .`h` (`/Graphics/vtkAppendFilter.h)`

Tests:
  vtkAppendFilter (Tests)

Definition at line 57 of file vtkAppendFilter.h.

## Public Types
typedef vtkDataSetToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddInput (vtkDataSet *in)
void | RemoveInput (vtkDataSet *in)
vtkDataSetCollection * | GetInputList ()
vtkDataSet * | GetInput (int idx)
vtkDataSet * | GetInput ()
## Static Public Methods
vtkAppendFilter * | New ()
int | IsTypeOf (const char *type)
vtkAppendFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAppendFilter ()
| ~vtkAppendFilter ()
void | Execute ()
## Protected Attributes
vtkDataSetCollection * | InputList

## Member Typedef Documentation

typedef vtkDataSetToUnstructuredGridFilter vtkAppendFilter::Superclass

| Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 62 of file vtkAppendFilter.h.

## Constructor & Destructor Documentation

vtkAppendFilter::vtkAppendFilter | ( |  | ) | `[protected]`

vtkAppendFilter::~vtkAppendFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkAppendFilter* vtkAppendFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkAppendFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

int vtkAppendFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

virtual int vtkAppendFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToUnstructuredGridFilter.

vtkAppendFilter* vtkAppendFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkAppendFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToUnstructuredGridFilter.

void vtkAppendFilter::AddInput | ( | vtkDataSet * | in | ) |

| Add a dataset to the list of data to append.

vtkDataSet* vtkAppendFilter::GetInput | ( | int | idx | ) |

| Get any input of this filter.

vtkDataSet* vtkAppendFilter::GetInput | ( |  | ) | `[inline]`

| Get any input of this filter. Reimplemented from vtkDataSetToUnstructuredGridFilter. Definition at line 71 of file vtkAppendFilter.h. References vtkDataSetToUnstructuredGridFilter::GetInput().

void vtkAppendFilter::RemoveInput | ( | vtkDataSet * | in | ) |

| Remove a dataset from the list of data to append.

vtkDataSetCollection* vtkAppendFilter::GetInputList | ( |  | ) |

| Returns a copy of the input array. Modifications to this list will not be reflected in the actual inputs.

void vtkAppendFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkDataSetCollection* vtkAppendFilter::InputList`[protected]`

| Definition at line 91 of file vtkAppendFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkAppendFilter.h